Bug 15230 - Crash when non graphical variable input in: R Graphics Device | History Menu| Get from variable ...
Crash when non graphical variable input in: R Graphics Device | History Menu|...
Status: CLOSED FIXED
Product: R
Classification: Unclassified
Component: Windows GUI / Window specific
R 2.15.2
x86_64/x64/amd64 (64-bit) Windows 64-bit
: P5 normal
Assigned To: R-core
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-06 10:42 UTC by Seyed Mahmood Taghavi Shahri
Modified: 2013-03-06 14:21 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Seyed Mahmood Taghavi Shahri 2013-03-06 10:42:17 UTC
This problem exist in 32-bit & 64-bit of R 2.15.3 & also 2.15.2 & devel (2013-03-04 r62124)
Windows version of R crash when non graphical variable input in:
R Graphics Device | History Menu | Get from variable ... 
=======================================================================
> sessionInfo()
R version 2.15.3 (2013-03-01)
Platform: i386-w64-mingw32/i386 (32-bit) 

locale:
[1] LC_COLLATE=Persian_Iran.1256  LC_CTYPE=Persian_Iran.1256   
[3] LC_MONETARY=Persian_Iran.1256 LC_NUMERIC=C                 
[5] LC_TIME=Persian_Iran.1256    

attached base packages:
[1] stats     graphics  grDevices utils     datasets  methods   base  
=======================================================================
> n=1
> t="a"
> curve(dnorm)
=======================================================================
Enter n or enter t @ R Graphics Device | History Menu | Get from variable ... 
=======================================================================
Immediately R Crash! 
Without showing expected dialoge box: "Vraible doesn't exist or doesn't contain any plots!"
=======================================================================
Problem signature:
  Problem Event Name:	APPCRASH
  Application Name:	Rgui.exe
  Application Version:	2.153.62090.0
  Application Timestamp:	51308af8
  Fault Module Name:	grDevices.dll
  Fault Module Version:	2.153.62090.0
  Fault Module Timestamp:	51308b65
  Exception Code:	c0000005
  Exception Offset:	00020a12
  OS Version:	6.1.7601.2.1.0.256.1
  Locale ID:	1065
  Additional Information 1:	0a9e
  Additional Information 2:	0a9e372d3b4ad19135b953a78882e789
  Additional Information 3:	0a9e
  Additional Information 4:	0a9e372d3b4ad19135b953a78882e789

Read our privacy statement online:
  http://go.microsoft.com/fwlink/?linkid=104288&clcid=0x0409

If the online privacy statement is not available, please read our privacy statement offline:
  C:\Windows\system32\en-US\erofflps.txt
=======================================================================
Comment 1 Duncan Murdoch 2013-03-06 13:20:57 UTC
Confirmed.  I'll fix.
Comment 2 Duncan Murdoch 2013-03-06 14:21:28 UTC
Fixed in R-devel (to become 3.0.0 next month).